#! make -f
#----------------------------------------------------------------------------
# Project:  TwlSDK - demos - wxc - wxc-dataShare
# File:     Makefile
#
# Copyright 2005-2009 Nintendo.  All rights reserved.
#
# These coded instructions, statements, and computer programs contain
# proprietary information of Nintendo of America Inc. and/or Nintendo
# Company Ltd., and are protected by Federal copyright law.  They may
# not be disclosed to third parties or copied or duplicated in any form,
# in whole or in part, without the prior written consent of Nintendo.
#
# $Date:: 2008-09-18#$
# $Rev: 8573 $
# $Author: okubata_ryoma $
#----------------------------------------------------------------------------

SUBDIRS		=

#----------------------------------------------------------------------------

TARGET_PLATFORM	=	TWL NITRO

TARGET_BIN		=	main.srl

INCDIR		=	common/include include
SRCDIR		=	common/src src

SRCS		=	main.c user.c\
			common.c    \
			disp.c      \
			gmain.c     \
                        font.c

WH_DIR			 =	$(ROOT)/build/demos/wireless_shared/wh
SRCDIR			+=	$(WH_DIR)
INCDIR			+=	$(WH_DIR)
SRCS			+=	$(WH_DIR)/wh.c
MACRO_FLAGS		+=	-DSHARED_WH

#SRCDIR			=	# using default
#LCFILE			=	# using default

#----------------------------------------------------------------------------
include	$(TWLSDK_ROOT)/build/buildtools/commondefs

do-build:		$(TARGETS)

include	$(TWLSDK_ROOT)/build/buildtools/modulerules

#===== End of Makefile =====
